Debian 7.升级 Install安装 PHP 5.5 或 5.6 版本

Debian 目前预设的 PHP Stable 版本是 5.4.x,由於 Laravel PHP Framework 关系,所以希望升級到 PHP 5.5 或 5.6 版本,只要通过底下操作就可以直接裝 PHP 5.6 版本了
echo “deb http://packages.dotdeb.org wheezy-php56 all” >> /etc/apt/sources.list.d/dotdeb.list
echo “deb-src http://packages.dotdeb.org wheezy-php56 all” >>/etc/apt/sources.list.d/dotdeb.list
完成后請加入 apt key,如果是要安裝 PHP 5.5 請將 wheezy-php56 改成 wheezy-php55

echo “deb http://packages.dotdeb.org wheezy-php55 all” >>/etc/apt/sources.list.d/dotdeb.list
echo “deb-src http://packages.dotdeb.org wheezy-php55 all” >>/etc/apt/sources.list.d/dotdeb.list

$ wget http://www.dotdeb.org/dotdeb.gpg -O- | apt-key add –
接著更新 apt repository 及安裝 PHP 5.6
$ aptitude update
$ aptitude install php5-cli php5-fpm
如果有安裝 php5-memcached 時,會遇到找不到 libmemcached11 套件,這時候請在 repository list 加入
deb http://packages.dotdeb.org wheezy all
接著再重新安裝一次 php5-memcached 即可

去打赏

您的支持将鼓励我们继续创作!

[微信] 扫描二维码打赏

[支付宝] 扫描二维码打赏

发表评论